## org.ascape.view.nonvis
Class ScapeOutputView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.ascape.view.nonvis.NonGraphicView
              org.ascape.view.nonvis.DataView
                  org.ascape.view.nonvis.DataOutputView
                      org.ascape.view.nonvis.ScapeOutputView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ScapeListener, HasName

    public class ScapeOutputView

extends DataOutputView

The Class ScapeOutputView.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.view.nonvis.DataOutputView
`EOLString, periodHeadersWritten, runCount, runDataStream, runFile, runHeadersWritten, startTime, writeHeaders`

Fields inherited from class org.ascape.view.nonvis.DataView
`dataSelection`

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`listeningToScape, name, scape`

Constructor Summary
`ScapeOutputView()`

Method Summary
`void` `scapeAdded(ScapeEvent scapeEvent)` Notifies the listener that the scape has added it.
`void` `writePeriodData()` Writes the current period statistics to the data stream or file.
`void` `writePeriodHeader()` Writes the headers for the period statistics to the run data stream or file.
`void` `writeRunData()` Writes the current run parameters to the data stream or file.
`void` `writeRunHeader()` Writes the headers for the run parameters to the run data stream or file.

Methods inherited from class org.ascape.view.nonvis.DataOutputView
`getEOLSeparator, getNumCharsInFileName, getPeriodDataStream, getPeriodFile, getRunDataStream, getRunFile, scapeChanged, scapeClosing, scapeDeserialized, scapeIterated, scapeStarted, scapeStopped, setEOLSeparator, setNumCharsInFileName, setPeriodDataStream, setPeriodFile, setRunDataStream, setRunFile, stopCondition, toString, writeStats`

Methods inherited from class org.ascape.view.nonvis.DataView
`getDataSelection`

Methods inherited from class org.ascape.view.nonvis.NonGraphicView
`isGraphic`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getName, getScape, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeInitialized, scapeNotification, scapeRemoved, scapeSetup, setName, setNotifyScapeAutomatically`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScapeOutputView

    public ScapeOutputView()

Method Detail

### writePeriodData

    public void writePeriodData()
                         throws java.io.IOException

  Description copied from class: `DataOutputView`
  Writes the current period statistics to the data stream or file. Data is output as tab delimited ASCII text, with the selected "EOLSeparator" separating each period.

  Overrides:
    `writePeriodData` in class `DataOutputView`
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.

### writePeriodHeader

    public void writePeriodHeader()
                           throws java.io.IOException

  Description copied from class: `DataOutputView`
  Writes the headers for the period statistics to the run data stream or file. Data is output as tab delimited ASCII text, with the selected "EOLSeparator" separating each period.

  Overrides:
    `writePeriodHeader` in class `DataOutputView`
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.

### writeRunData

    public void writeRunData()
                      throws java.io.IOException

  Description copied from class: `DataOutputView`
  Writes the current run parameters to the data stream or file. Data is output as tab delimited ASCII text, with the selected "EOLSeparator" separating each period.

  Overrides:
    `writeRunData` in class `DataOutputView`
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.

### writeRunHeader

    public void writeRunHeader()
                        throws java.io.IOException

  Description copied from class: `DataOutputView`
  Writes the headers for the run parameters to the run data stream or file. Data is output as tab delimited ASCII text, with the selected "EOLSeparator" separating each period.

  Overrides:
    `writeRunHeader` in class `DataOutputView`
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.

### scapeAdded

    public void scapeAdded(ScapeEvent scapeEvent)
                    throws java.util.TooManyListenersException

  Description copied from class: `DataOutputView`
  Notifies the listener that the scape has added it. Creates a new data selection for data output, backed by the Scape's data group.

  Specified by:
    `scapeAdded` in interface `ScapeListener`
  Overrides:
    `scapeAdded` in class `DataOutputView`
  Parameters:
    `scapeEvent` - the scape added notification event
  Throws:
    `java.util.TooManyListenersException` - the too many listeners exception